<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
RunEx Method (IEdmTemplate53)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmTemplate53 Interface : RunEx Method (IEdmTemplate53)

Visual Basic
C#
C++/CLI

hParentWnd
  Parent window handle

lCurrentFolderID
  ID of the folder in which to execute this template

ppoRetData
  Array of IEdmData interfaces; one interface for each object created by this template

Executes this template in the specified folder.

# Syntax

Visual Basic |
--- | ---

    Function RunEx( _
       ByVal hParentWnd As System.Integer, _
       ByVal lCurrentFolderID As System.Integer, _
       ByRef ppoRetData() As System.Object _
    ) As System.Integer

C# |
--- | ---

    System.int RunEx(
       System.int hParentWnd,
       System.int lCurrentFolderID,
       out System.object[] ppoRetData
    )

C++/CLI |
--- | ---

    System.int RunEx(
    &   System.int hParentWnd,
    &   System.int lCurrentFolderID,
    &   [Out] System.array<Object^>^ ppoRetData
    )

#### Parameters

hParentWnd
  Parent window handle
lCurrentFolderID
  ID of the folder in which to execute this template
ppoRetData
  Array of IEdmData interfaces; one interface for each object created by this template

#### Return Value

User-interface refresh flags as defined in EdmRefleshFlag

# Example

See the IEdmTemplate53 examples.

# Remarks

This method executes this template like IEdmTemplate5::Run does, but it also returns information about all of the files, folders, and variables created by this template.

If your application needs to be backward compatible with SOLIDWORKS PDM Professional 5.2, use IEdmTemplate5::Run instead of this method.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmTemplate53 Interface
IEdmTemplate53 Members

# Availability

SOLIDWORKS PDM Professional Version 5.3